#ifndef _TYPE_H
#define _TYPE_H

/*+----------------------------------------------------------------------------------------------+*/
typedef unsigned char U8;                       /* 8bit unsigned integer */
typedef unsigned short int U16;                 /* 16bit unsigned integer */
typedef unsigned int U32;                       /* 32bit unsigned integer */
typedef unsigned long long int U64;             /* 64bit unsigned integer */
/*+----------------------------------------------------------------------------------------------+*/
typedef signed char S8;                         /* 8bit signed integer  */
typedef signed short int S16;                   /* 16bit signed integer */
typedef signed int S32;                         /* 32bit signed integer */
typedef signed long long int S64;               /* 64bit signed integer */
/*+----------------------------------------------------------------------------------------------+*/
typedef volatile unsigned char VU8;             /* 8bit unsigned volatile't integer   */
typedef volatile unsigned short int VU16;       /* 16bit unsigned volatile't integer  */
typedef volatile unsigned int VU32;             /* 32bit unsigned volatile't integer  */
typedef volatile unsigned long long int VU64;   /* 64bit unsigned volatile't integer  */
/*+----------------------------------------------------------------------------------------------+*/
typedef volatile signed char VS8;               /* 8bit signed volatile't integer  */
typedef volatile signed short int VS16;         /* 16bit signed volatile't integer */
typedef volatile signed int VS32;               /* 32bit signed volatile't integer */
typedef volatile signed long long int VS64;     /* 64bit signed volatile't integer */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE  1
#endif

//#define DEBUG_MODE    1

#endif
